Tweet Volume
curl --request GET \
--url https://api.invezo.com/v1/social/twitter/volume \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/social/twitter/volume"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/social/twitter/volume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1657152000,
"v": 76294
},
{
"t": 1657238400,
"v": 248283
},
...
]
}
Social
Tweet Volume
Tweet volume is a measure of the number of individual tweets mentioning an asset’s name or symbol. This metric includes retweets, verified tweets, and original tweets.
GET
/
v1
/
social
/
twitter
/
volume
Tweet Volume
Query Parameters
string
required
asset symbol (example: btc)
int
required
start of the aggregate time window as a timestamp (example: 1168300800)
int
required
end of the aggregate time window as a timestamp (example: 1652486400)
string
required
size of the time window (valid intervals: 5m, 1h, 1d, 1w, 1mo)
string
sort the results by timestamp. asc will return results in ascending order
(oldest to newest), desc will return results in descending order (newest to
oldest). default value is asc
int
limit the number of results returned, default is 5000 and max is 50000
{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1657152000,
"v": 76294
},
{
"t": 1657238400,
"v": 248283
},
...
]
}

